summaryrefslogtreecommitdiffstats
path: root/xci/playbooks/roles/bootstrap-host/files
diff options
context:
space:
mode:
authorMarkos Chandras <mchandras@suse.de>2018-03-13 10:30:16 +0000
committerMarkos Chandras <mchandras@suse.de>2018-03-13 16:36:01 +0000
commit7dd14e002128b5e6fe5302e6f7fe8620682a7d53 (patch)
treecbe382833f76d1601ba0d6a50296846351e8effd /xci/playbooks/roles/bootstrap-host/files
parent193e3c4784824d647541d079c54ab2d1460f9e88 (diff)
xci: Merge configure-network and syncronize-time roles
Those roles were too small and only used as part of the host bootstrapping process. As such, we merge them into a common 'bootstrap-host' role which can be used to prepare the hosts after the initial deployment Change-Id: Ifc84cf40b98ced91b31aae699dc28e9642380550 Signed-off-by: Markos Chandras <mchandras@suse.de>
Diffstat (limited to 'xci/playbooks/roles/bootstrap-host/files')
-rwxr-xr-xxci/playbooks/roles/bootstrap-host/files/network-config-suse17
1 files changed, 17 insertions, 0 deletions
diff --git a/xci/playbooks/roles/bootstrap-host/files/network-config-suse b/xci/playbooks/roles/bootstrap-host/files/network-config-suse
new file mode 100755
index 00000000..02cdd998
--- /dev/null
+++ b/xci/playbooks/roles/bootstrap-host/files/network-config-suse
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+INTERFACE=$1
+ACTION=$4
+
+if [[ $INTERFACE == "br-vlan" ]]; then
+ if [[ $ACTION == "pre-up" ]]; then
+ ip link add br-vlan-veth type veth peer name eth12 || true
+ ip link set br-vlan-veth up
+ ip link set eth12 up
+ brctl addif br-vlan br-vlan-veth
+ else
+ brctl delif br-vlan br-vlan-veth
+ ip link del br-vlan-veth || true
+ fi
+fi
+